Name:           gsd
Version:        1.2.2
Release:        3%{?dist}.art
License:        GNU GPL v2 or later
Group:          Productivity/Networking/Security
Url:            http://www.openvas.org
Source:         %{name}-%{version}.tar.gz
Patch0:		no-werror.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:	openvas-client, gsa-desktop

BuildRequires:  cmake
BuildRequires:  doxygen

BuildRequires: pango-devel gtk+-devel zlib-devel atk-devel
BuildRequires: openssl-devel gtk2-devel gettext-devel gcc-c++
BuildRequires: openvas-libraries-devel
BuildRequires: graphviz

BuildRequires:	qt-devel >= 4.6, qt >= 4.6

%if 0%{?el6}
BuildRequires: qtwebkit-devel
%endif

%if 0%{?fc10}
BuildRequires: pixman-devel libXrender-devel libpcap-devel gpgme-devel
%endif

%if 0%{?fedora} >= 14
BuildRequires: qt-webkit-devel
%endif

%if 0%{?fedora} >= 12 || 0%{?rhel} >= 6
BuildRequires: libuuid libuuid-devel
%else
BuildRequires: e2fsprogs e2fsprogs-devel
%endif



%if 0%{?el4}%{?el5}
BuildRequires: compat-gnutls2-devel, compat-gnutls2, gnutls, gnutls-devel
BuildRequires: qt4-devel, qt4
Requires: compat-gnutls2
%else
BuildRequires: gnutls, gnutls-devel
BuildRequires:	qt-devel >= 4.5, qt >= 4.5
BuildRequires: cairo-devel atk-devel
%endif

BuildRequires: /usr/bin/cmake
BuildConflicts: qt3, qt3-devel


%if 0%{?el4}
BuildRequires:  evolution28-glib2-devel evolution28-glib2
Requires: evolution28-glib2
BuildRequires: evolution28-gtk2-devel evolution28-gtk2
Requires: evolution28-gtk2
%else
BuildRequires: glib2 >= 2.6.0, glib2-devel >= 2.6.0
BuildRequires: libpcap-devel gpgme-devel
%endif




Summary:        A Desktop Client that connects to the OpenVAS Manager

%description
The GSA Desktop is a desktop client that connects to the OpenVAS Manager using
the OMP protocol.


%prep
%setup -q
%patch0 -p1

%build
%if 0%{?el4}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/:/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %ifarch x86_64
    export GLIB_LIBS=/usr/evolution28/lib64/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib64/pkgconfig:/usr/lib64/pkgconfig/:/usr/gnutls2/lib/pkgconfig/
  %else
    export GLIB_LIBS=/usr/evolution28/lib/libglib-2.0.so
    export PKG_CONFIG_PATH=/usr/evolution28/lib/pkgconfig:/usr/lib/pkgconfig/
  %endif
%endif

%if 0%{?el5}
  export LDFLAGS="-L/usr/gnutls2/lib -L/lib -L/usr/evolution28/lib/ -L/usr/evolution28/lib64/"
  export CFLAGS="-I/usr/gnutls2/include -L/usr/gnutls2/lib"
  export GNUTLS_LIBS=/usr/gnutls2/lib
  export PKG_CONFIG_PATH=/usr/gnutls2/lib/pkgconfig/
  export PATH=/usr/lib/qt4/bin/:/usr/lib64/qt4/bin/:$PATH

%endif


export LDFLAGS="$LDFLAGS -lgcrypt"

cmake . -DCMAKE_VERBOSE_MAKEFILE=ON \
        -DCMAKE_INSTALL_PREFIX=%{_prefix} \
        -DSYSCONFDIR=%{_sysconfdir} \
        -DLOCALSTATEDIR=%{_localstatedir}

%{__make}  %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%{__mkdir_p} %{buildroot}%{_localstatedir}/log/openvas
touch %{buildroot}%{_localstatedir}/log/openvas/gsa-desktop.log

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README
%dir %{_sysconfdir}/openvas
%dir %{_datadir}/openvas/translations
%dir %{_localstatedir}/log/openvas
/etc/openvas/gsd_log.conf
/usr/bin/gsd
/usr/share/openvas/
#/usr/share/openvas/translations/gsd_de.qm
#/usr/share/openvas/translations/gsd_fr.qm
/var/log/openvas/gsa-desktop.log
/usr/share/man/man8/gsd.8.gz



%changelog
* Thu May 10 2012 Scott R. Shinn <scott@atomicorp.com> - 1.2.2-3
- Update to 1.2.2

* Wed Apr 25 2012 Scott R. Shinn <scott@atomicorp.com> - 1.2.0-2
- Relink against openvas 5

* Mon Apr 18 2011 Scott R. Shinn <scott@atomicorp.com> - 1.2.0
- Update to 1.2.0

* Thu Mar 17 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.1
- Update to 1.1.1

* Thu Feb 17 2011 Scott R. Shinn <scott@atomicorp.com> - 1.1.0
- Update to 1.1.0

* Thu Dec 30 2010 Scott R. Shinn <scott@atomicorp.com> - 1.0.1
- Upstream renamed the project to gsd
- Obsoletes on openvas-client, and gsa-desktop
- Update to 1.0.1

* Fri Sep 10 2010 Scott R. Shinn <scott@atomicorp.com> - 0.3.0
- Update to 0.3.0

* Tue Aug 31 2010 Scott R. Shinn <scott@atomicorp.com> - 0.2.0
- Merge into atomic
- Added conditional logic for el4 & el5


* Thu Aug 12 2010 bitshuffler@opensuse.org
- Update to 0.2.0
  * Missing details dialogs for omp resources have been added.
  * Support for notes and overrides has been added.
  * German translation has been improved and completed.
  * Cross compile support for mingw32 has been added.
* Thu Jul 29 2010 bitshuffler@opensuse.org
- Initial package.
